# import the table
mice <- read.csv(file = "~/Documents/Teaching/Rcourse/April_2024/First_steps_RStudio/data/male_and_female_weight.csv",
                 sep = ";",dec = ",")
# check
str(mice)
# remove extra columns
mice <- mice[,1:2]
# print column weight
mice$weight
sort(mice$weight)
sort(mice$weight, decreasing = TRUE)
mean(mice$weight)

mice_sexes <- mice$sex
male_tab <- mice[mice_sexes == "M",]

table(mice$sex)

# importing mi dataframe
mi <- read.csv(file = "~/Documents/Teaching/Rcourse/April_2024/First_steps_RStudio/data/mi.csv")

# Extract Education column
education <- mi$Education
# counting each category of Education
table(education)
# displaying this number in grap: Using a barplot
barplot(table(education))
table(mi$HeartRate)

barplot(table(mi$HeartRate))

# "continuous" variable
temp <- mi$Temperature
hist(temp, breaks = seq(from = 35, to = 38, by = .001))


hist(mi$FluIgG, breaks = seq(from = -.5, to = 1, by = .5))
hist(mi$FluIgG)

hist(mi$FluIgG)

plot(density(mi$FluIgG))

min(mi$FluIgG)
max(mi$FluIgG)
summary(mi$FluIgG)
boxplot(mi$FluIgG)

# Bivariate Analysis

# 2 qualitative variables
table(mi$Sex)
table(mi$OwnsHouse)
table(mi$OwnsHouse, mi$Sex)

table(mi$Sex, mi$UsesCannabis)
addmargins(table(mi$Sex, mi$UsesCannabis))
addmargins(table(mi$Sex, mi$UsesCannabis), margin = 1)
addmargins(table(mi$Sex, mi$UsesCannabis), margin = 2)

# 1 qualitative 1 quantitative
table(mi$OwnsHouse) #use table on qualitative data
summary(mi$Age) # use summary on quantitative variable
boxplot(mi$Age~mi$OwnsHouse)

# table(mi$Education,mi$OwnsHouse)

# 2 quantitative variables
# scatter plot
plot(mi$Age, mi$FluIgG)
cor(mi$Age, mi$FluIgG) #by default calculate the Pearson's correlation (see help)

# Distributions
# Proportion of Females in mi dataframe...
# The long way
# 1. How many Females
length(mi$Sex[mi$Sex == "Female"])
# 2. How many individuals
length(mi$Sex)
# 3. Proportion
length(mi$Sex[mi$Sex == "Female"]) / length(mi$Sex)

# The short way
prop.table(table(mi$Sex))
prop.table(table(mi$Sex))["Female"] #displaying only female proportion
# Lunch Break

# Resume course